AMREPORT(8)

NAME
amreport - generate a formatted output of statistics for an Amanda run

SYNOPSIS

amreport [-o configoption...] [(1) command-line options | (2) script options] [config]

(1) [--log=logfile] [--format=MODULE:DEST,DEST-ARG] [--ps=filename] [--text=filename] [--xml=filename] [--print=printer] [--mail-text=recipient]

(2) [-i] [-M address] [-l logfile] [-f outputfile] [-p postscriptfile] [--from-amdump]

DESCRIPTION

Amreport generates a summary report of an Amanda backup run.

See the amanda(8) man page for more details about Amanda.

OPTIONS

config
    Name of the configuration to process. If no configuration name is specified, amanda.conf is read from the current directory.

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

Amreport operates in two distinct modes. Command-line mode is intended for use by an administrator from the command line, and uses long command-line options for clarity. Script mode is intended for use from scripts such as amdump, and has a lot of non-obvious default behaviors to suit that need.

Unless a script-mode option is given, amreport defaults to command-line mode. If no options are given, amreport writes a report for the most recent logfile to stdout.

  Command-Line Mode Options

--log=logfile
    Use this logfile as the basis for the report. If this option is given, then the report is a "historical" report and will not include current state from e.g., holding disk and curinfo. If this option is not specified, then the most recent logfile will be used.

--format=MODULE:DEST,DEST-ARG
    Use the given perl module to format the report and send it to DEST with the given DEST-ARG.

    Valid module provided with amanda are: human, json, json_raw, ps and xml, valid destination are file, mail and print, the DEST-ARG depend on the destination.

    The default destination is file.

    The default arg for file destination is '-' (stdout).

    The default arg for mail destination is the MAILTO configuration option.

    The default arg for print destination is the PRINTER configuration option.

    Examples:
      --format=human
      --format=human:mail
      --format=human:mail:root
      --format=human:file:/tmp/report.text
      --format=xml:file:/tmp/report.xml
      --format=ps:file:/tmp/report.ps
      --format=ps:print:lp

--ps=filename
    Write a postscript label to filename. See "LABEL PRINTING" below. If filename is not specified, then the label is written to stdout.

    Same as --format=ps, --format=ps:file:filename

--text=filename
    Write a human-readable text report to filename. If filename is not specified, then the report is written to stdout.

    Same as --format=human, --format=human:file:filename

--xml=filename
    Write an XML-formatted report to filename. If filename is not specified, then the report is written to stdout.

    Same as --format=xml, --format=xml:file:filename

--print=printer
    Pipe a postscript label to lp or lpr, specifying the given printer. If the printer is not specified, uses the default from the Amanda configuration, or the system default printer.

    Same as --format=ps:print, --format=ps:print:printer

--mail-text=recipient
    Send a human-readable text report to the given recipient via the mailer specified in the Amanda configuration. If the recipient is not specified, this uses the mailto from the Amanda configuration.

    Same as --format=human:mail, --format=human:mail:recipient

  Script Mode Options

-i
    Don't email the report.

-M address
    Mail the report to address instead of the mailto value from amanda.conf.

-l logfile
    Name of the log file to parse to generate the report. If a log file is not specified, it defaults to the file $logdir/log, where $logdir is the log directory defined in amanda.conf.

-f outputfile
    Normally, amreport sends the report via e-mail to the mailto user as defined in the amanda.conf file. If outputfile is specified, then the report is put in outputfile.

-p postscriptfile
    Send the postscript output to the file postscriptfile instead of to the lpr(1) command. This option has an effect only if the lbl-templ directive is specified in amanda.conf.

--from-amdump
    Force script mode. Has no other effect.

TEXT REPORT FORMAT

Amanda's text report format is divided into several sections. Some of these sections only appear if they are not empty.

Although newer versions of Amanda try to use the term "volume" to refer to a unit of storage, amreport still uses the term "tape", even if backups are done to non-tape devices, to allow scripts which parse amreport's output to continue to function.

  Summary
Hostname: bkserver
Org     : DailySet1
Config  : Daily
Date    : February 25, 2009
These dumps were to tape Daily-103.
The next tape Amanda expects to use is: Daily-142
FAILURE DUMP SUMMARY:
   jamon.slikon.local /var lev 0  FAILED [/bin/tar exited with status 2]

The summary section describes the run in broad terms, giving the server hostname, organization (from the org configuration parameter), configuration name, and dump date. This is followed by a description of the volumes and holding disk used, and an rough estimate of the volume(s) Amanda will use on the next run.

Brief notices of any unusual circumstances will also be included here.

  Statistics
STATISTICS:
                          Total       Full      Incr.
                        --------   --------   --------
Estimate Time (hrs:min)    0:00
Run Time (hrs:min)         0:01
Dump Time (hrs:min)        0:00       0:00       0:00
Output Size (meg)           1.6        0.0        1.6
Original Size (meg)         1.6        0.0        1.6
Avg Compressed Size (%)   100.0      100.0      100.0   (level:#disks ...)
Filesystems Dumped            4          1          3   (1:3)
Avg Dump Rate (k/s)      1555.1      134.2     1787.3
Tape Time (hrs:min)        0:00       0:00       0:00
Tape Size (meg)             1.6        0.0        1.6
Tape Used (%)               5.5        0.1        5.4   (level:#disks ...)
Filesystems Taped             4          1          3   (1:3)
                                                        (level:#parts ...)
Parts Taped                   4          1          3   (1:3)
Avg Tp Write Rate (k/s)  143966    27624.3     151811
USAGE BY TAPE:
  Label            Time      Size      %  DLEs Parts
  metals-013       0:00     1650k    5.4     4     4

This section contains aggregate statistics for the entire run. The three columns break down the results into a total for all data handled, only full dumps, and only incremental dumps. In the right margin, amreport indicates the breakdown of dump levels at the dumper and the taper.

The rows have the following meanings:

Estimate Time
    The time used by the planner to estimate dump sizes.

Run Time
    Total runtime, from the invocation of amdump to its completion.

Dump Time
    Total time spent dumping clients.

Output Size
    Total quantity of data dumped, after compression.

Original Size
    Total quantity of data dumped, before compression.

Avg Compressed Size
    Compression ratio, calculated from the previous two rows.

Filesystems Dumped
    Number of DLEs dumped.

Avg Dump Rate
    Average speed at which clients produced data. Note that, for dumps done directly to a slow device, rather than to holding disk, this rate may reflect a write speed constrained by the device speed.

Tape Time
    Total time spent writing to storage volumes. This includes time spent changing tapes, including time spent waiting for flush thresholds to be met.

Tape Size
    Total quantity of data written to storage volumes.

Tape Used
    Fraction of the total allocated storage (tapetype length times runtapes) actually used.

Filesystems Taped
    Number of filesystems written to storage. This may be larger or smaller than the number of filesystems dumped, due to flushes or dumps left on holding disk.

Parts Taped
    Number of split parts writtten to storage. If this number is very large, then the split size may be too small.

Avg Tp Write Rate
    Taper speed, based on the tape time and tape size, above. Note that, because the tape time includes time spent on tasks other than writing to tape, this does not necessary reflect the device's real write speed. However, the value is useful for capacity planning, as it reflects a realistic estimate of how quickly Amanda can write data to storage.

  Usage by Tape
USAGE BY TAPE:
  Label          Time      Size      %  DLEs Parts
  Conf-001       0:00    20320k   66.2     1     4
  Conf-002       0:00     6470k   21.1     0     2

This short section gives per-volume statistics: time spent writing to the volume; bytes written to the volume; portion of the expected tape length used; number of DLEs started, and total number of split parts written.

  Notes
NOTES:
  taper: tape DAILY-37 kb 30720 fm 3 [OK]

This section contains any informational log messages from the run. Most messages are self-explanatory. The taper message shown in the example is always present, and is redundant to the previous section. It indicates that 30720 kb were written to "DAILY-37" in 3 files.

  Failure and Strange Details
FAILED DUMP DETAILS:
/--  jamon.slikon.local /var lev 0 FAILED [/bin/tar exited with status 2]
sendbackup: info BACKUP=APPLICATION
sendbackup: info APPLICATION=amgtar
sendbackup: info RECOVER_CMD=/usr/bin/gzip -dc |amgtar -f... -
sendbackup: info COMPRESS_SUFFIX=.gz
sendbackup: info end
? /bin/tar: ./gdm: Cannot savedir: Permission denied
| Total bytes written: 943831040 (901MiB, 4.9MiB/s)
| /bin/tar: Error exit delayed from previous errors
sendbackup: error [/bin/tar exited with status 2]
sendbackup: size 921710
sendbackup: end
\\--------
STRANGE DUMP DETAILS:
/--  bsdfw.slikon.local / lev 0 STRANGE
sendbackup: info BACKUP=APPLICATION
sendbackup: info APPLICATION=amgtar
sendbackup: info RECOVER_CMD=/usr/bin/gzip -dc |amgtar -f... -
sendbackup: info COMPRESS_SUFFIX=.gz
sendbackup: info end
| /bin/tar: ./tmp/.X11-unix/X0: socket ignored
| Total bytes written: 5530869760 (5.2GiB, 3.0MiB/s)
sendbackup: size 5401240
sendbackup: end
\\--------

This section expands on failures and strange results indicated in earlier sections. In both cases, the details contain a messages produced by the underlying backup tool - GNU tar, in this example. Failed dumps have actually failed, and the reasons are usually clear. Strange dumps, however, are regarded as successful by Amanda, but contain messages that Amanda did not recognize and which may be of interest to the operator.

  Dump Summary
DUMP SUMMARY:
                                       DUMPER STATS                TAPER STATS
HOSTNAME     DISK        L ORIG-kB  OUT-kB  COMP%  MMM:SS   KB/s MMM:SS     KB/s
-------------------------- ------------------------------------- ---------------
strontium    /etc        1     270     270    --     0:00 1146.3   0:00 140918.6
strontium    -me/elantra 1      10      10    --     0:00   65.6   0:00   9033.4
strontium    /local      0      20      20    --     0:00  133.9   0:00  27624.3
strontium    -ository_13 1    1350    1350    --     0:01 2568.5   0:00 175006.5

The dump summary table has one row for each DLE processed during the run. The "L" column gives the level of the dump. The remaining colums are divided into dumper stats and taper stats.

The dumper stats give the original (before compression) and output (after compression) size of each dump, as well as a compression ratio, if applicable. The column labeled "MMM:SS" gives the time spent on that dump, and the next column is the calculated dump rate.

The taper stats give the time and speed with which the dump was written to storage. This value is the sum of the times for each part, and as such does not include time spent switching volumes.

LABEL PRINTING

Amanda can print postscript labels describing the contents of tape(s) written in a run. The labels are designed to be folded and inserted into the tape case along with the tape or hole punched and put in a 3-ring binder. Various label templates are provided to format data for different tape sizes.

The information printed varies slightly between label templates due to size constraints. Labels contain one line for each host/file-system pair and may also contain the file number on the tape, the level of the dump, the original size of the dump and the size of the (possibly compressed) tape file.

Add the lbl-templ parameter to the tapetype definition in amanda.conf to enable labels. If you don't add this line to your tapetype definition, amreport will not print tape labels.

You may use the printer keyword in amanda.conf to print to other than the system default printer.

TEMPLATES

Amanda provides label templates for the following tape types. These are pretty generic labels and should be easy to customize for other tape types or particular site needs.

    * ExaByte 8mm tapes
    * DAT 4mm tapes
    * DLT tapes
    * 3-ring binder

The 3-ring binder type is the most generic. It may be used to make a hardcopy log of the tapes.

EXIT CODE
The exit code of amreport is the ORed value of:
 0  = success
 1  = error
 2  = a dle give strange message
 4  = a dle failed
 8  = Don't know the status of a dle (RESULT_MISSING in the report)
 16 = tape error or no more tape

SEE ALSO

amanda(8), amflush(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHOR

Stefan G. Weichinger <sgw@amanda.org>